Subject: Gaussian98 source code and facility of parallel implementation

From: "Ha-Yeon Cheong" <[email-masked]>
Date: Tue, 31 Jul 2001 13:00:25 -0400

Dear folks of the CCL,
 
Our department has recently purchased the Gaussian98 source code
to implement on our 10 node Intel Pentium III Beowulf cluster (Ethernet 
connection) running RedHat linux 7.1. Does anybody know if the 
source code is parallel or SMP enabled, compiled straight out of the 
box? Or is it necessary to rewrite the source code in order to enable 
the use of %NPROC parameter in the job file?
 
I have ran a job on the straight-from-the-box compiled version in a dual

Pentium III Linux (Red Hat 6.2) machine and have run into problem 
which I believe to be the result of resource clash between the two 
processors. In this SMP machine I have let the controller determine 
the use of resources and it works fine now. But on the cluster I want to

be able to give the %NPROC instruction from the job file because I have 
heard numerous reports that efficiency plateaus off and decreases 
around 6~8 processors.
 
I would be grateful for any insights or suggestions. 
 
Thank you for your time.
Ha Yeon Cheong
 
Ha Yeon Cheong
Bowdoin College
Chemistry Intern
e-mail: [email-masked]